# Textboost

A bionic reading tool that leverages the power of machine learning to enhance the reading experience and organization, particularly for individuals with an inability to focus.

## How TextBoost Harnesses Machine Learning

- **Folder Management**: The model can create subsections such as `modified/food`, `modified/space`, `modified/politics`, and more and store the respected pdf within their folder.
- **Text Summarization**: Textboost provides the capability to summarize the text within a given PDF. Optionally, the user can turn on this feature and the summarization will appear at the last page of the PDF.

> ❗**PLEASE NOTE THE FOLLOWING**❗<br/>
> Please note that this tool supports **simple text** extraction from PDFs. Complex elements like tables and code blocks will not be rendered properly.<br/>
> The updated PDF will be automatically placed in appropriate folders based on the text context. You can find your modified file in a folder similar to `./modified/space/your_file.py`.<br/>
> Don't forget to check your current directory for the outputted file.

## Usage

- Install [Python](https://www.python.org/downloads/).
- Git clone this repository by running the command `https://github.com/boushrabettir/textboost.git`
- Move to the `textboost` directory by running `cd ./textboost`
- Pip install requirements by running `pip install -r requirements.txt`
- Convert your PDF to a Markdown using [this tool](https://products.groupdocs.app/conversion/pdf-to-md).
- Place your modified Markdown file in the `pre-modified` folder.
- Run the script by typing `python ./main.py`

## Key Features

- Bold formatting to emphasize specific letters within words.
- Organized file locations for modified files generated by a model
- Optional text summarization generated by the model

## Demo
https://github.com/boushrabettir/textboost/assets/116927138/f729e7f1-36aa-449d-b1a1-5f37d2026150

---

Made with 🐱💛 by Boushra Bettir
